[**@rxap/ngx-material-authentication v19.0.5-dev.0**](../README.md)

***

[@rxap/ngx-material-authentication](../globals.md) / LoginComponent

# Class: LoginComponent

Defined in: [login/login.component.ts:76](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.component.ts#L76)

## Constructors

### new LoginComponent()

> **new LoginComponent**(`authentication`, `snackBar`): [`LoginComponent`](LoginComponent.md)

Defined in: [login/login.component.ts:82](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.component.ts#L82)

#### Parameters

##### authentication

`RxapAuthenticationService`

##### snackBar

`MatSnackBar`

#### Returns

[`LoginComponent`](LoginComponent.md)

## Properties

### requestingPasswordReset$

> `readonly` **requestingPasswordReset$**: `ToggleSubject`

Defined in: [login/login.component.ts:78](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.component.ts#L78)

## Methods

### requestPasswordReset()

> **requestPasswordReset**(`email`): `Promise`\<`void`\>

Defined in: [login/login.component.ts:90](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.component.ts#L90)

#### Parameters

##### email

`string`

#### Returns

`Promise`\<`void`\>
